stages:
  - build

build_for_product:
  image: ubuntu
  stage: build
  script:
    - cd .
    - ls dist
    - apt-get update
    - apt install nodejs npm git curl wget -y
    - npm install -g npm
    - npm cache clean -f
    - npm install -g n
    - n stable
    - npm install -g yarn
    - yarn install
    - yarn build
    - ls dist/
   
  artifacts:
    expire_in: 1 day
    paths:
      - dist/*
  only:
    - master

